io.agora.rtc

## Class LastmileProbeOneWayResult

- java.lang.Object
- - io.agora.rtc.LastmileProbeOneWayResult

-     public class LastmileProbeOneWayResult
      extends java.lang.Object

  Result of one-way last-mile network probe test.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `availableBandwidth` Available bandwidth (bps)
    `private int` | `jitter` Jitter (ms)
    `private int` | `packetLossRate` Packet loss rate (%)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastmileProbeOneWayResult()` Default constructor for LastmileProbeOneWayResult.
    `LastmileProbeOneWayResult(int packetLossRate, int jitter, int availableBandwidth)` Constructs LastmileProbeOneWayResult with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvailableBandwidth()` Gets the available bandwidth (bps).
    `int` | `getJitter()` Gets the jitter (ms).
    `int` | `getPacketLossRate()` Gets the packet loss rate (%).
    `void` | `setAvailableBandwidth(int availableBandwidth)` Sets the available bandwidth (bps).
    `void` | `setJitter(int jitter)` Sets the jitter (ms).
    `void` | `setPacketLossRate(int packetLossRate)` Sets the packet loss rate (%).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packetLossRate

          private int packetLossRate

      Packet loss rate (%)

    - #### jitter

          private int jitter

      Jitter (ms)

    - #### availableBandwidth

          private int availableBandwidth

      Available bandwidth (bps)

  - ### Constructor Detail

    - #### LastmileProbeOneWayResult

          public LastmileProbeOneWayResult()

      Default constructor for LastmileProbeOneWayResult.

    - #### LastmileProbeOneWayResult

          public LastmileProbeOneWayResult(int packetLossRate,
                                           int jitter,
                                           int availableBandwidth)

      Constructs LastmileProbeOneWayResult with all parameters.
      Parameters:
        `packetLossRate` - Packet loss rate (%)
        `jitter` - Jitter (ms)
        `availableBandwidth` - Available bandwidth (bps)

  - ### Method Detail

    - #### getPacketLossRate

          public int getPacketLossRate()

      Gets the packet loss rate (%).
      Returns:
        Packet loss rate (%)

    - #### setPacketLossRate

          public void setPacketLossRate(int packetLossRate)

      Sets the packet loss rate (%).
      Parameters:
        `packetLossRate` - Packet loss rate (%)

    - #### getJitter

          public int getJitter()

      Gets the jitter (ms).
      Returns:
        Jitter (ms)

    - #### setJitter

          public void setJitter(int jitter)

      Sets the jitter (ms).
      Parameters:
        `jitter` - Jitter (ms)

    - #### getAvailableBandwidth

          public int getAvailableBandwidth()

      Gets the available bandwidth (bps).
      Returns:
        Available bandwidth (bps)

    - #### setAvailableBandwidth

          public void setAvailableBandwidth(int availableBandwidth)

      Sets the available bandwidth (bps).
      Parameters:
        `availableBandwidth` - Available bandwidth (bps)